////////////////////////////////////////////////////////////////////////////////
var s_height = 14
var s_pageWidth = 114
var s_speed = 1;
var s_interval = 70; // timeout interval
var s_pause = 3000;
////////////////////////////////////////////////////////////////////////////////
// Global variables
var s_textWidth = 0;
var s_restartspeed = s_speed;
var s_leftdirection = true;
var s_bRunning = true;
var s_freezeTimer = 0;
var s_intervalTimer = 0;
////////////////////////////////////////////////////////////////////////////////
function scrollStart() // scrollStart is called each time a new song is started, so should reset variables
////////////////////////////////////////////////////////////////////////////////
{
scrollStop();

	 
	s_textWidth = s_pageWidth;
	s_leftdirection = true;
	s_bRunning = true;
	s_textWidth = getTextWidth();
	
	// scroll only if needed
	if (s_textWidth > s_pageWidth)
		s_intervalTimer = window.setInterval(render, s_interval);
}
////////////////////////////////////////////////////////////////////////////////
function scrollStop() // scrollStop is called when gadget isn't visible and on start
////////////////////////////////////////////////////////////////////////////////
{
	s_textWidth = getTextWidth();
	if (s_textWidth > s_pageWidth) 
		document.getElementById('dockedLine3').style.pixelLeft = 0; 
	else 
		document.getElementById('dockedLine3').style.pixelLeft = 0.5 * -(s_textWidth - s_pageWidth);

	clearTimeout(s_freezeTimer);
	window.clearInterval(s_intervalTimer);
	s_bRunning = false;
}

////////////////////////////////////////////////////////////////////////////////
function render()
{
	if (s_bRunning)
		scrollUpdate();
}
////////////////////////////////////////////////////////////////////////////////
function scrollUpdate()
{
	var div = document.getElementById('dockedLine3');
	
	if (s_leftdirection) {
		div.style.pixelLeft -= s_speed;
		if (div.style.pixelLeft < -(s_textWidth - s_pageWidth)) {
			// div.style.pixelLeft = -(s_textWidth - s_pageWidth);
			changeDirection(true);
		}
	}
	else {
		div.style.pixelLeft += s_speed;
		if (div.style.pixelLeft >= 0) {
			div.style.pixelLeft = 0;
			changeDirection(true);
		}
	}	
}
////////////////////////////////////////////////////////////////////////////////
function changeDirection(bFirstTime)
{
	if (bFirstTime == true) {
		s_bRunning = false;
		s_leftdirection = !s_leftdirection;
		s_freezeTimer = setTimeout("changeDirection(false)", s_pause);
	}
	else
		s_bRunning = true;
}

////////////////////////////////////////////////////////////////////////////////
function getTextWidth()
{
	document.getElementById('divTestTextWidth').innerText = document.getElementById('dockedLine3').innerText;
	return document.getElementById('divTestTextWidth').offsetWidth;
}